@charset "UTF-8";

:root,
[data-bs-theme=light] {
	--font: 'Montserrat', system-ui, sans-serif;

	--primary-color: hsl(21 99% 58%);
	--primary-color-light: hsl(21 99% 68%);
	--primary-color-lighter: hsl(21 99% 58% / .24);
	--primary-color-dark: hsl(21 99% 48%);

	--xxl: 7.5rem;
	--xl: calc(var(--xxl)/2);

	--bs-primary: var(--primary-color);
	--bs-primary-rgb: 254, 116, 42;

	--bs-light: hsl(0, 0%, 92%);
	--bs-light-rgb: 235, 235, 235;

	--bs-dark: hsl(213 16% 14%);
	--bs-dark-rgb: 30, 35, 41;

	--bs-body-color: hsl(213 16% 14%);

	--h1: 	clamp(2.75rem, 4.5vw, 4.29375rem);
	--h2: 	clamp(2.2rem, 3.5vw, 3.43125rem);
	--h3: 	clamp(1.75625rem, 2.7vw, 2.75rem);
	--h4: 	clamp(1.40625rem, 2.2vw, 2.2rem);
	--h5: 	clamp(1.25rem, 1.7vw, 1.75625rem);
	--h6: 	clamp(1.15rem, 1.4vw, 1.40625rem);
	--lead: var(--h6);
}

body {
	font-family: var(--font);
}

b,strong {font-weight: bold !important;}
.fw-900 {font-weight: 900;}

.icon {
	width: var(--icon-size, 72px);
}

.icon-72px, [src*="_72px"] {width: 72px;}
.icon-48px, [src*="_48px"] {width: 48px;}
.icon-32px, [src*="_32px"] {width: 32px;}
.icon-16px, [src*="_16px"] {width: 16px;}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
	font-family: var(--font);
	margin-bottom: 1rem;
	font-weight: 900;

	em {
		font-style: normal;
		color: var(--primary-color);
	}
}

h1, .h1 {font-size: var(--h1);}
h2, .h2 {font-size: var(--h2);}
h3, .h3 {font-size: var(--h3);}
h4, .h4 {font-size: var(--h4);}
h5, .h5 {font-size: var(--h5);}
h6, .h6 {font-size: var(--h6);}
.lead   {font-size: var(--lead);}

.container-fluid {
	padding-inline: 3vw;
}

@media (min-width: 1536px) {
	.container {max-width: 1470px;}
}

.inset-0 {inset: 0;}

.p-xxl {padding: var(--xxl);}
.p-xl {padding: var(--xl);}
.px-xxl {padding-inline: var(--xxl)}
.px-xl {padding-inline: var(--xl)}

.pt-xxl {padding-top: var(--xxl);}
.pb-xxl {padding-bottom: var(--xxl);}
.py-xxl {
	padding-top: var(--xxl);
	padding-bottom: var(--xxl);
}
.mt-xxl {margin-top: var(--xxl);}
.mb-xxl {margin-bottom: var(--xxl);}
.my-xxl {
	margin-top: var(--xxl);
	margin-bottom: var(--xxl);
}

.pt-xl {padding-top: var(--xl);}
.pb-xl {padding-bottom: var(--xl);}
.py-xl {
	padding-top: var(--xl);
	padding-bottom: var(--xl);
}
.mt-xl {margin-top: var(--xl);}
.mb-xl {margin-bottom: var(--xl);}
.my-xl {
	margin-top: var(--xl);
	margin-bottom: var(--xl);
}


/*  navbar  */

.navbar {
    --bs-navbar-padding-x: 0;
    --bs-navbar-padding-y: 3.125rem;
    --bs-navbar-active-color: white;
    --bs-navbar-nav-link-padding-x: 1rem;

    --bs-navbar-toggler-icon-bg: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='%23000000' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e);
    --bs-navbar-toggler-border-color: var(--primary-color);

	transition: padding 200ms, box-shadow 200ms;

	&.affix {
		--bs-navbar-padding-y: .5rem;
		background-color: white;
		box-shadow: 0 0 2rem hsl(0 0% 0% / .15);
	}
}

.navbar-brand-image {
	height: 48px;
	transition: height 200ms;
}

.affix .navbar-brand-image {height: 30px;}

.navbar-nav .nav-link {
	font-weight: 900;

	&:hover,
	&:focus,
	&.show,
	&.open,
	&.active {
		color: var(--primary-color);
	}
}

.navbar-nav .dropdown-toggle::after {
	width: 1rem;
	height: 0.5rem;
	border: 0;
	vertical-align: .12em;
	background-image: url(../img/drop.svg);
	background-repeat: no-repeat;
	background-size: contain;
}

.dropdown-menu {
	border: 0;
	padding: .75rem;
	border-radius: 0;
	box-shadow: 0 1rem 2.5rem -.5rem hsl(0 0% 0% / .25);
	background-color: hsl(0 0% 100%);
}

.dropdown-item {
	padding: 0.25rem .5rem;
	border-radius: .25rem;
	transition: color 200ms, background-color 200ms;

	&:hover,
	&:focus,
	&.active {
		color: white;
		background-color: var(--primary-color);
	}
}

.navbar-tel {
	text-decoration: none;
	color: var(--bs-dark);

	small {font-size: .75rem;}
}


/*  header  */

header .slogan {
	padding-top: 158px;
}

.home header .position-absolute {
	background-image: linear-gradient(to right, white, transparent 50%);

	&::before {
		content: '';
		display: block;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 200px;
		background-image: linear-gradient(white, transparent);
	}
}

.swiper__image {
	height: 100vh;
	object-position: right;
}


/*  main content */

.btn {
    --bs-btn-padding-x: 1.875rem;
    --bs-btn-padding-y: 1.25rem;
    --bs-btn-font-size: 1rem;
    --bs-btn-font-weight: 700;
    --bs-btn-line-height: 1.5;

	border-radius: 0;
}

.btn-primary {
    --bs-btn-bg: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-bg: var(--primary-color-light);
    --bs-btn-hover-border-color: var(--primary-color-light);
    --bs-btn-active-bg: var(--primary-color-dark);
    --bs-btn-active-border-color: var(--primary-color-dark);
}

.btn-outline-primary {
    --bs-btn-color: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-bg: var(--primary-color);
    --bs-btn-hover-border-color: var(--primary-color);
    --bs-btn-active-bg: var(--primary-color);
    --bs-btn-active-border-color: var(--primary-color);
}

#firma {
	background-image: url(../img/firmabg.png);
	background-repeat: no-repeat;
	background-size: cover;

	position: relative;

	&::after {
		content: '';
		display: block;
		inset: 0;
		position: absolute;
		z-index: 3;
		background-image: url(../img/hexy.svg);
		background-repeat: no-repeat;
		background-size: cover;

		pointer-events: none;
	}
}

#uslugi {
	background-image: url(../img/boxesbg.png);
	background-repeat: no-repeat;
	background-size: cover;
	background-attachment: fixed;
}

.card {
	border: 0;
	border-radius: 0;
	cursor: pointer;

	p {
		margin: 0;
		padding: 0;
	}

	&:hover {
		.card-image img {
			transform: scale(1.1);
		}
	}
}

.card-image {
	overflow: hidden;
	display: block;

	img {
		transition: transform 1000ms cubic-bezier(0.075, 0.82, 0.165, 1);
	}
}

.card-body {
	padding: 2.5rem;
}

.card-title {
	margin-bottom: 1.5rem;
}

.card-title-link {
	text-decoration: none;
	color: var(--bs-body-color);
	transition: color 200ms;

	&:hover,
	&:focus {
		color: var(--primary-color);
	}
}


footer iframe {
	width: 100%;
	height: 500px;
}

footer a {
	text-decoration: none;
	color: white;
	transition: color 200ms;

	&:hover,
	&:focus {
		color: var(--primary-color-light);
	}
}

.list-unstyled li + li {margin-top: 0.75em;}

.madeby {
	display: flex;
	align-items: center;

	small {
		opacity: .5;
		font-size: 0.625rem;
		margin: 0.15em 0.25em 0 0;
	}
}


/*  sub content  */

.sub .swiper__image {
	height: 450px;
}

.sub header .position-absolute {
	background-image: linear-gradient(white 10%, transparent 60%);
}

main:has(#sub-pages:last-of-type) {padding-bottom: 0;}

.gallery a {
	display: block;
	width: 100%;
	overflow: hidden;

	img {
		width: 100%;
		display: block;
		transition: transform 400ms cubic-bezier(0.19, 1, 0.22, 1);
	}

	&:hover img {
		transform: scale(1.1);
	}
}

.downloads a {
	text-decoration: none;
	color: black;
	border: 1px solid hsl(0 0% 90%);
	border-radius: 0;
	transition: color 200ms, border-color 200ms;

	&:hover {
		color: var(--primary-color);
		border-color: var(--primary-color);
	}
}

.form-control {
	border-radius: 0;

	&.error {border-color: red;}
}

.error-msg {color: red;}



/*  paginator  */

.pagination {
	display: flex
}

.pagination li {
	display: none
}

.pagination .active,
.pagination .insertPage,
.pagination li:first-child,
.pagination li:last-child {
	display: block
}

.pagination a,
.pagination input {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 30px;
	height: 30px;
	margin: 0 5px;
	padding: 0;
	text-align: center;
	color: #bbb;
	border: 1px solid #e1e1e1;
	text-decoration: none;
	transition: all .2s
}

.pagination a:focus,
.pagination a:hover,
.pagination input:focus,
.pagination input:hover {
	color: var(--primary-color);
	border: 1px solid var(--primary-color)
}

.pagination input::placeholder {
	color: #bbb;
	font-size: 16px;
	font-weight: 500
}

.pagination .active a {
	border: 1px solid var(--primary-color);
	background: var(--primary-color);
	color: #fff;
	cursor: text
}

.pagination .insertPage+.insertPage {
	display: none
}




/*  media query  */

@media (max-width: 1499px) {
	.navbar-brand-image {
    height: 38px;
	}

	.affix .navbar-brand-image {
    height: 30px;
	}

	.navbar-tel .h5 {font-size: var(--h6);}

	header, main, footer {overflow: hidden;}
}


@media (max-width: 1399px) {

	.navbar {
    --bs-navbar-nav-link-padding-x: .875rem;
	}

	.navbar-nav .nav-link {
		font-size: .875rem;
		font-weight: 400;
	}

	.navbar-tel {
		small {font-size: .6rem;}
		img {
			width: 30px;
		}
	}
}

@media (max-width: 1199px) {
	.navbar-tel {margin-top: 3rem;}

	.navbar .lang {margin-top: 1rem; display: block;}
	.navbar .lang img {width: 48px;}

	.navbar-nav .nav-link {
		font-size: 1.15rem;
		font-weight: 600;
	}

	footer p {
		display: flex;
		flex-direction: column;
		gap: 1rem;
	}

	.sub header .swiper__image {height: 280px;}
}


@media (max-width: 991px) {
	header .swiper__image {
		height: 350px;
	}

	.slogan {
		text-shadow: 2px 0 #fff, -2px 0 #fff, 0 2px #fff, 0 -2px #fff,
             1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff;

		p {font-weight: bold;}
	}

	.navbar {
		--bs-navbar-padding-y: 1.25rem
	}

	#uslugi .col-lg-4 + .col-lg-4 {margin-top: 2rem;}

	footer p {
		gap: 2rem;
	}
	footer .d-flex {
		flex-direction: column;
		align-items: center !important;
	}
}


@media (max-width: 575px) {
	header .swiper__image {
		height: 400px;
	}

	footer {
		text-align: center;
	}
}


@media (max-width: 399px) {
	header .swiper__image {height: 480px;}
}